const TokenKey = 'GCLS_Token';

export function getSessionID() {
  const token = localStorage.getItem(TokenKey);
  const _token = token ? JSON.parse(token) : null;
  return _token ? _token.session_id ?? '' : '';
}

/**
 * 获取 token
 * @returns {object | null}
 */
export function getToken() {
  const token = localStorage.getItem(TokenKey);
  return token ? JSON.parse(token) : null;
}

/**
 * 设置 token
 * @param {object} token
 */
export function setToken(token) {
  const _token = typeof token === 'object' ? JSON.stringify(token) : '';
  localStorage.setItem(TokenKey, _token);
}

/**
 * 删除 token
 */
export function removeToken() {
  localStorage.removeItem(TokenKey);
}

// 系统信息
const ConfigKey = 'GCLS_Config';

export function getConfig() {
  const config = localStorage.getItem(ConfigKey);
  return config ? JSON.parse(config) : null;
}

export function setConfig(value) {
  let _val = typeof value === 'object' ? JSON.stringify(value) : '';
  localStorage.setItem(ConfigKey, _val);
}

export function removeConfig() {
  localStorage.removeItem(ConfigKey);
}
